Explore the key/value pairs in a bulk classification request.
Create a new request for a bulk item classification to the universal (6-digit) or country-specific (8+ digit) HS codes. The bulk classification request limit is based on the AWS 90-second timeout, which ends up being about 2,000 classifications.
Note: To obtain a classification, you must provide a description. It's up to you which field(s) you choose to provide, but we recommend you provide as much information as possible to receive a more accurate classification.
The header above is a required input for this bulk classification request to complete successfully.
Field↕
Notes↕
items REQUIRED
List of items being exported to be classified.
item[index].item.age OPTIONAL
The age of the item, e.g., 1784-1820 or 3rd Century A.D.
items[index].item.amount OPTIONAL
The price of the item.
items[index].item.brand OPTIONAL
The brand of the item.
items[index].item.category OPTIONAL
The item category.
items[index].item.description REQUIRED
The description of goods for the commercial invoice. This description will usually differ from the retail description and typically includes a general description of what it is, what it is made from, and what is used for.
items[index].item.detail OPTIONAL
Additional features, attributes, or descriptions of the item.
items[index].item.gender OPTIONAL
The gender reference associated to the item.
items[index].item.hs_code OPTIONAL
As many known digits of the HS code, which will be used for sub-classifications, e.g. If you are classifying a list of knitted clothing, input 61 to force the logic to find codes within chapter 61.
Request a bulk classification
Request a bulk classification
Explore the key/value pairs in a bulk classification request.
Create a new request for a bulk item classification to the universal (6-digit) or country-specific (8+ digit) HS codes. The bulk classification request limit is based on the AWS 90-second timeout, which ends up being about 2,000 classifications.
Attributes
JSON key/value pairs in the request body
POST |
https://api.zonos.com/v1/classify/bulkitemsREQUIREDitem[index].item.ageOPTIONALitems[index].item.amountOPTIONALitems[index].item.brandOPTIONALitems[index].item.categoryOPTIONALitems[index].item.descriptionREQUIREDitems[index].item.detailOPTIONALitems[index].item.genderOPTIONALitems[index].item.hs_codeOPTIONALitems[index].item.image_urlOPTIONALitems[index].item.language_codeOPTIONALnull, English is the default language.item[index].materialOPTIONALitem[index].product_idOPTIONALitem[index].sub_categoryOPTIONALship_to_countriesOPTIONALExample request
{"items": [{"item": {"id": "29342","amount": 12.99,"brand": null,"category": "women's clothing","description": "Cozy Design Women's Knitted Gloves with Roll Up Cuffs for Winter","detail": null,"gender": "women","hs_code": "6116","image_url": "https://zonos.com/images/cozygloves.webp","item_age": null,"language_code": "en","material": "cotton","product_id": "895669256385","sub_category": "women's accessories"}},{"item": {"id": "29343","amount": 19.99,"brand": null,"category": null,"description": "Cadet Army Cap Basic Everyday Military Style Hat","detail": null,"gender": "men's","hs_code": null,"image_url": "https://zonos.com/images/cadethat.webp","item_age": null,"language_code": "en","material": null,"product_id": "895669256378","sub_category": null}},{"item": {"id": "29344","amount": 45.29,"brand": "Ray Ban","category": "Accessories","description": "Vintage Aviator Square Sunglasses","detail": null,"gender": null,"hs_code": null,"image_url": "https://zonos.com/images/vintagesunglasses.webp","item_age": null,"language_code": "en","material": null,"product_id": "895669256399","sub_category": "Sunglasses"}}],"ship_to_countries": ["CA","FR"]}Was this page helpful?